> ## Documentation Index
> Fetch the complete documentation index at: https://www.ayrshare.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete RSS Feed

> Delete a previously added RSS feed by passing the id returned when the feed was added. Includes example requests plus success and error responses.

## Header Parameters

**Authorization** `string` *required*

[API Key](https://www.ayrshare.com/docs/apis/overview.md#authorization) of the Primary Profile.

Format: `Authorization: Bearer API_KEY`
**Profile-Key** `string`

[Profile Key](https://www.ayrshare.com/docs/apis/overview.md#profile-key-format) of a User Profile.

Format: `Profile-Key: PROFILE_KEY`

## Body Parameters

**id** `string` *required*

ID of the RSS Feed returned when adding.

```bash cURL theme={"system"}
curl \
-H "Authorization: Bearer API_KEY" \
-H 'Content-Type: application/json' \
-d '{"id": "4HZhptaD5"}' \
-X DELETE https://api.ayrshare.com/api/feed
```

```javascript JavaScript theme={"system"}
const API_KEY = "API_KEY";
const id = "4HZhptaD5";

fetch("https://api.ayrshare.com/api/feed", {
  method: "DELETE",
  headers: {
    "Content-Type": "application/json",
    Authorization: `Bearer ${API_KEY}`,
  },
  body: JSON.stringify({ id }),
})
  .then((res) => res.json())
  .then((json) => console.log(json))
  .catch(console.error);
```

```python Python theme={"system"}
import requests

payload = {'id': '4HZhptaD5'}
headers = {'Content-Type': 'application/json',
        'Authorization': 'Bearer API_KEY'}

r = requests.delete('https://api.ayrshare.com/api/feed',
    json=payload,
    headers=headers)

print(r.json())
```

```php PHP theme={"system"}
$curl = curl_init();

$data = array (
    'id' => '_3yhtyd88'
);

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.ayrshare.com/api/feed',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'DELETE',
  CURLOPT_POSTFIELDS => http_build_query($data),
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer API_KEY'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

```json 200: Success theme={"system"}
{
    "status": "success",
    "id": "RDFbD_fl5"
}
```

```json 400: Can't Find RSS ID theme={"system"}
{
    "action": "delete",
    "status": "error",
    "code": 131,
    "message": "Something is wrong deleting the RSS feed URL. Please try again and verify the id."
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.